Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fonts
Class SimpleFontFamily

    java.lang.Object
      net.sf.jasperreports.engine.fonts.SimpleFontFamily

All Implemented Interfaces:
  FontFamily

    public class SimpleFontFamily

extends java.lang.Object
implements FontFamily

Version:
  $Id: SimpleFontFamily.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`SimpleFontFamily()`

Method Summary
`FontFace` | `getBoldFace()`
`FontFace` | `getBoldItalicFace()`
`java.lang.String` | `getBoldItalicPdfFont()`
`java.lang.String` | `getBoldPdfFont()`
`java.lang.String` | `getDefaultExportFont()`
`java.lang.String` | `getExportFont(java.lang.String key)`
`java.util.Map` | `getExportFonts()`
`FontFace` | `getItalicFace()`
`java.lang.String` | `getItalicPdfFont()`
`java.util.Set` | `getLocales()`
`java.lang.String` | `getName()`
`FontFace` | `getNormalFace()`
`java.lang.String` | `getNormalPdfFont()`
`java.lang.String` | `getPdfEncoding()`
`java.lang.Boolean` | `isPdfEmbedded()`
`void` | `setBold(java.lang.String bold)`
`void` | `setBoldItalic(java.lang.String boldItalic)`
`void` | `setBoldItalicPdfFont(java.lang.String boldItalicPdfFont)`
`void` | `setBoldPdfFont(java.lang.String boldPdfFont)`
`void` | `setDefaultExportFont(java.lang.String defaultExportFont)`
`void` | `setExportFonts(java.util.Map exportFonts)`
`void` | `setItalic(java.lang.String italic)`
`void` | `setItalicPdfFont(java.lang.String italicPdfFont)`
`void` | `setLocales(java.util.Set locales)`
`void` | `setName(java.lang.String name)`
`void` | `setNormal(java.lang.String normal)`
`void` | `setNormalPdfFont(java.lang.String normalPdfFont)`
`void` | `setPdfEmbedded(java.lang.Boolean isPdfEmbedded)`
`void` | `setPdfEncoding(java.lang.String pdfEncoding)`
`boolean` | `supportsLocale(java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleFontFamily

    public SimpleFontFamily()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `FontFamily`

### setName

    public void setName(java.lang.String name)

### setNormal

    public void setNormal(java.lang.String normal)

### setBold

    public void setBold(java.lang.String bold)

### setItalic

    public void setItalic(java.lang.String italic)

### setBoldItalic

    public void setBoldItalic(java.lang.String boldItalic)

### getNormalFace

    public FontFace getNormalFace()

  Specified by:
    `getNormalFace` in interface `FontFamily`

### getBoldFace

    public FontFace getBoldFace()

  Specified by:
    `getBoldFace` in interface `FontFamily`

### getItalicFace

    public FontFace getItalicFace()

  Specified by:
    `getItalicFace` in interface `FontFamily`

### getBoldItalicFace

    public FontFace getBoldItalicFace()

  Specified by:
    `getBoldItalicFace` in interface `FontFamily`

### getNormalPdfFont

    public java.lang.String getNormalPdfFont()

  Specified by:
    `getNormalPdfFont` in interface `FontFamily`

### setNormalPdfFont

    public void setNormalPdfFont(java.lang.String normalPdfFont)

### getBoldPdfFont

    public java.lang.String getBoldPdfFont()

  Specified by:
    `getBoldPdfFont` in interface `FontFamily`

### setBoldPdfFont

    public void setBoldPdfFont(java.lang.String boldPdfFont)

### getItalicPdfFont

    public java.lang.String getItalicPdfFont()

  Specified by:
    `getItalicPdfFont` in interface `FontFamily`

### setItalicPdfFont

    public void setItalicPdfFont(java.lang.String italicPdfFont)

### getBoldItalicPdfFont

    public java.lang.String getBoldItalicPdfFont()

  Specified by:
    `getBoldItalicPdfFont` in interface `FontFamily`

### setBoldItalicPdfFont

    public void setBoldItalicPdfFont(java.lang.String boldItalicPdfFont)

### getPdfEncoding

    public java.lang.String getPdfEncoding()

  Specified by:
    `getPdfEncoding` in interface `FontFamily`

### setPdfEncoding

    public void setPdfEncoding(java.lang.String pdfEncoding)

### isPdfEmbedded

    public java.lang.Boolean isPdfEmbedded()

  Specified by:
    `isPdfEmbedded` in interface `FontFamily`

### setPdfEmbedded

    public void setPdfEmbedded(java.lang.Boolean isPdfEmbedded)

### getDefaultExportFont

    public java.lang.String getDefaultExportFont()

### setDefaultExportFont

    public void setDefaultExportFont(java.lang.String defaultExportFont)

### getExportFonts

    public java.util.Map getExportFonts()

### setExportFonts

    public void setExportFonts(java.util.Map exportFonts)

### getExportFont

    public java.lang.String getExportFont(java.lang.String key)

  Specified by:
    `getExportFont` in interface `FontFamily`

### getLocales

    public java.util.Set getLocales()

### setLocales

    public void setLocales(java.util.Set locales)

### supportsLocale

    public boolean supportsLocale(java.util.Locale locale)

  Specified by:
    `supportsLocale` in interface `FontFamily`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com